/* Useful if you wish to make target-specific gcc changes. */
#undef TARGET_KOLIBRI
#define TARGET_KOLIBRI 1
 
/* Default arguments you want when running your
   i686-myos-gcc/x86_64-myos-gcc toolchain */
#define LIB_SPEC "-lc" /* link against C standard library */
 
/* Don't automatically add extern "C" { } around header files. */
#undef  NO_IMPLICIT_EXTERN_C
#define NO_IMPLICIT_EXTERN_C 1
 
/* Additional predefined macros. */
#undef TARGET_OS_CPP_BUILTINS
#define TARGET_OS_CPP_BUILTINS()      \
  do {                                \
    builtin_define ("__kolibri__");      \
    builtin_define ("__unix__");      \
    builtin_assert ("system=kolibri");   \
    builtin_assert ("system=unix");   \
    builtin_assert ("system=posix");   \
  } while(0);
 
#undef STARTFILE_SPEC
#define STARTFILE_SPEC "kolibri_head.o%s %{!shared:crt0.o%s} %{!shared:crti.o%s} %{!shared:crtbegin.o%s}"

#undef LINK_SPEC
#define LINK_SPEC "-T/usr/lib/kolibri.ld"
